package com.unibuy.smartdevice.structure;

public class GreenpayMerchantStructure {
    private String lineMerchantId;
    private String psMerchantId;
    private String easyMerchantId;
    private String piMerchantId;
    private String jkoMerchantId;
    private String directMerchantId;
    private String appleMerchantId;
    private String googleMerchantId;
    private String samsungMerchantId;
    private String atomeMerchantId;

    public GreenpayMerchantStructure(String lineMerchantId, String psMerchantId, String easyMerchantId, String piMerchantId, String jkoMerchantId, String directMerchantId, String appleMerchantId, String googleMerchantId, String samsungMerchantId, String atomeMerchantId) {
        this.lineMerchantId = lineMerchantId;
        this.psMerchantId = psMerchantId;
        this.easyMerchantId = easyMerchantId;
        this.piMerchantId = piMerchantId;
        this.jkoMerchantId = jkoMerchantId;
        this.directMerchantId = directMerchantId;
        this.appleMerchantId = appleMerchantId;
        this.googleMerchantId = googleMerchantId;
        this.samsungMerchantId = samsungMerchantId;
        this.atomeMerchantId = atomeMerchantId;
    }

    public String getLineMerchantId() {
        return lineMerchantId;
    }

    public String getPsMerchantId() {
        return psMerchantId;
    }

    public String getEasyMerchantId() {
        return easyMerchantId;
    }

    public String getPiMerchantId() {
        return piMerchantId;
    }

    public String getJkoMerchantId() {
        return jkoMerchantId;
    }

    public String getDirectMerchantId() {
        return directMerchantId;
    }

    public String getAppleMerchantId() {
        return appleMerchantId;
    }

    public String getGoogleMerchantId() {
        return googleMerchantId;
    }

    public String getSamsungMerchantId() {
        return samsungMerchantId;
    }

    public String getAtomeMerchantId() {
        return atomeMerchantId;
    }

    public void setLineMerchantId(String lineMerchantId) {
        this.lineMerchantId = lineMerchantId;
    }

    public void setPsMerchantId(String psMerchantId) {
        this.psMerchantId = psMerchantId;
    }

    public void setEasyMerchantId(String easyMerchantId) {
        this.easyMerchantId = easyMerchantId;
    }

    public void setPiMerchantId(String piMerchantId) {
        this.piMerchantId = piMerchantId;
    }

    public void setJkoMerchantId(String jkoMerchantId) {
        this.jkoMerchantId = jkoMerchantId;
    }

    public void setDirectMerchantId(String directMerchantId) {
        this.directMerchantId = directMerchantId;
    }

    public void setAppleMerchantId(String appleMerchantId) {
        this.appleMerchantId = appleMerchantId;
    }

    public void setGoogleMerchantId(String googleMerchantId) {
        this.googleMerchantId = googleMerchantId;
    }

    public void setSamsungMerchantId(String samsungMerchantId) {
        this.samsungMerchantId = samsungMerchantId;
    }

    public void setAtomeMerchantId(String atomeMerchantId) {
        this.atomeMerchantId = atomeMerchantId;
    }
}
